# rtsp params

Last reviewed on 2013-07-11 (1.0.0)

## Functions

### gst_rtsp_params_get

    GstRTSPResult
    gst_rtsp_params_get (GstRTSPClient * client,
                         GstRTSPContext * ctx)

Get parameters (not implemented yet)

Parameters:

`client` –

a GstRTSPClient

`ctx` ( [transfer: none]) –

a GstRTSPContext

Returns –

a GstRTSPResult

### GstRtspServer.prototype.rtsp_params_get

    function GstRtspServer.prototype.rtsp_params_get(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript wrapper for 'gst_rtsp_params_get'
    }

Get parameters (not implemented yet)

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult

### GstRtspServer.rtsp_params_get

    def GstRtspServer.rtsp_params_get (client, ctx):
        #python wrapper for 'gst_rtsp_params_get'

Get parameters (not implemented yet)

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult

### gst_rtsp_params_set

    GstRTSPResult
    gst_rtsp_params_set (GstRTSPClient * client,
                         GstRTSPContext * ctx)

Set parameters (not implemented yet)

Parameters:

`client` –

a GstRTSPClient

`ctx` ( [transfer: none]) –

a GstRTSPContext

Returns –

a GstRTSPResult

### GstRtspServer.prototype.rtsp_params_set

    function GstRtspServer.prototype.rtsp_params_set(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript wrapper for 'gst_rtsp_params_set'
    }

Set parameters (not implemented yet)

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult

### GstRtspServer.rtsp_params_set

    def GstRtspServer.rtsp_params_set (client, ctx):
        #python wrapper for 'gst_rtsp_params_set'

Set parameters (not implemented yet)

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult

The results of the search are